Debian Bug report logs - #419867
Please make openmpi thread-compartible by adding --enable-mpi-threads and --enable-progress-threads

version graph

Package: openmpi; Maintainer for openmpi is Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>;

Reported by: Kai-Cheung Leung <leuka646@student.otago.ac.nz>

Date: Wed, 18 Apr 2007 11:39:02 UTC

Severity: normal

Found in version 1.1-2.3

Fixed in version openmpi/1.2.3-0

Done: Dirk Eddelbuettel <edd@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debian.org>:
Bug#419867; Package openmpi. Full text and rfc822 format available.

Acknowledgement sent to Kai-Cheung Leung <leuka646@student.otago.ac.nz>:
New Bug report received and forwarded. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kai-Cheung Leung <leuka646@student.otago.ac.nz>
To: submit@bugs.debian.org
Subject: Please make openmpi thread-compartible by adding --enable-mpi-threads and --enable-progress-threads
Date: Wed, 18 Apr 2007 23:28:09 +1200
Package: openmpi
Version: 1.1-2.3

Ability for multi-threaded operation within a process with all thread
being able to make MPI call is one of the strengths of openmpi which sets
itself apart from other MPI implementations.  However I noticed that the
flags required are *not* included in the ./configure in the current
debian/rules, yet this is a feature needed in many case.  For example,
implementing distributed task queue with task stealing in MPI would
require a listener thread which listens to requests for jobs and send
jobs, but the main thread must also be able to make mpi calls to steal
jobs form others.

Therefore would you please add the following flags in debian/rules
./configure:

--enable-mpi-threads
--enable-progress-threads



Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 25 Jun 2007 14:09:24 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 25 Jun 2007 14:15:32 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 25 Jun 2007 14:20:10 GMT) Full text and rfc822 format available.

Reply sent to Dirk Eddelbuettel <edd@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kai-Cheung Leung <leuka646@student.otago.ac.nz>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 419867-close@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: 419867-close@bugs.debian.org
Subject: Bug#419867: fixed in openmpi 1.2.3-0
Date: Tue, 10 Jul 2007 21:44:42 +0000
Source: openmpi
Source-Version: 1.2.3-0

We believe that the bug you reported is fixed in the latest version of
openmpi, which is due to be installed in the Debian FTP archive:

libopenmpi-dbg_1.2.3-0_i386.deb
  to pool/main/o/openmpi/libopenmpi-dbg_1.2.3-0_i386.deb
libopenmpi-dev_1.2.3-0_i386.deb
  to pool/main/o/openmpi/libopenmpi-dev_1.2.3-0_i386.deb
libopenmpi1_1.2.3-0_i386.deb
  to pool/main/o/openmpi/libopenmpi1_1.2.3-0_i386.deb
openmpi-bin_1.2.3-0_i386.deb
  to pool/main/o/openmpi/openmpi-bin_1.2.3-0_i386.deb
openmpi-common_1.2.3-0_all.deb
  to pool/main/o/openmpi/openmpi-common_1.2.3-0_all.deb
openmpi-doc_1.2.3-0_all.deb
  to pool/main/o/openmpi/openmpi-doc_1.2.3-0_all.deb
openmpi_1.2.3-0.diff.gz
  to pool/main/o/openmpi/openmpi_1.2.3-0.diff.gz
openmpi_1.2.3-0.dsc
  to pool/main/o/openmpi/openmpi_1.2.3-0.dsc
openmpi_1.2.3.orig.tar.gz
  to pool/main/o/openmpi/openmpi_1.2.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 419867@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dirk Eddelbuettel <edd@debian.org> (supplier of updated openmpi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 23 Jun 2007 18:55:31 -0500
Source: openmpi
Binary: openmpi-common openmpi-bin libopenmpi-dev libopenmpi1 libopenmpi-dbg openmpi-doc
Architecture: source all i386
Version: 1.2.3-0
Distribution: unstable
Urgency: low
Maintainer: Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>
Changed-By: Dirk Eddelbuettel <edd@debian.org>
Description: 
 libopenmpi-dbg - high performance message passing library
 libopenmpi-dev - high performance message passing library
 libopenmpi1 - high performance message passing library
 openmpi-bin - high performance message passing library
 openmpi-common - high performance message passing library
 openmpi-doc - high performance message passing library
Closes: 386491 388216 390238 392633 396761 404003 404026 405472 413607 415338 419867 427356 430321
Changes: 
 openmpi (1.2.3-0) unstable; urgency=low
 .
   * First release by the new maintainer group 'pkg-openmpi'
 .
   * Takeover of the package is coordinated with the previous maintainer.
     Our thanks to Florian for his initial packaging.
   * We also would like to thank everybody who has prepared a previous NMU,
 .
   [ Dirk Eddelbuettel ]
   * debian/control: Add myself as Uploaders
   * debian/patches/31_fix_manpages_lintian.dpatch: Another small man page fix
   * debian/{ompi_info.1,opal_wrapper.1,orted.1}: Contributed three man pages
   * Renaming some sub-package:
     - openmpi-libs0 package renamed to libopenmpi1
     - openmpi-dev package renamed to libopenmpi-dev
     - openmpi-dbg package rename to libopenmpi-dbg
     - new openmpi-mpidoc package renamed to openmpi-doc
   * debian/control: Add Build-Depends: on 'gcc (>= 4.1.2)' to build for the
     'long double' transition -- and as we happen to have renamed the library
     package name, is requivalent to the 'ldbl' suffix	(Closes: #430321)
 .
   [ Upstream ]
   * Fixed: mpif77 and mpif90 incorrect default include file search path
     (Closes: #405472)
 .
   [ Sylvestre Ledru ]
   * New upstream release 1.2.3
   * New upstream release 1.2.2 (Closes: #427356)
   * Patch removed: 20implicit_pointer_conversion.dpatch
   * Apply all of Tilman's patches below (Closes: #415338)
   * Add the correct XS-Autobuild, XS-Vcs-Svn and XS-Vcs-Browser fields in
     debian/control.
   * Fix errors in manpages (Lintian complaining)
 .
   [ Manuel Prinz ]
   * Patch removed: 30_alpha_inline_assembly.dpatch (Fixed upstream)
   * Updated patch of autogenerated autoconf files by Steve Langasek.
   * Fixed: Please make openmpi thread-compartible by adding
     --enable-mpi-threads and --enable-progress-threads (Closes: #419867)
   * Fixed: Use Debian alternatives (Closes: #396761)
   * Added watch file.
 .
   [ Tilman Koschnick ]
   * New upstream release 1.2.0
   * Acknowledge previous NMUs (Closes: #386491, #392633, #404003, #404026).
   * Fix: mpicc.openmpi fails to run when named mpicc.openmpi (Closes: #388216).
   * Include manual pages (Closes: #413607).
   * Add openmpi-mpidoc package for man pages describing the MPI standard.
   * Update copyrights.
 .
   [ Andreas Barth ]
   * Spelling mistake in the description of the package (Closes: #390238)
Files: 
 d761f99d75d3a6294988785e157ca079 950 net optional openmpi_1.2.3-0.dsc
 c96b9ac47fcd8ae7d59bd554dd81cb31 6481765 net optional openmpi_1.2.3.orig.tar.gz
 7cba1bc4a72091d090a67efa121f3b98 278654 net optional openmpi_1.2.3-0.diff.gz
 39f20dd16da8891b16c14b8401379e4d 126052 net optional openmpi-bin_1.2.3-0_i386.deb
 fa1ca4a537083c5923d9afd42aef4d14 392874 libdevel optional libopenmpi-dev_1.2.3-0_i386.deb
 f769631b1bb9443a66a0f04d93bac90e 1025908 libs optional libopenmpi1_1.2.3-0_i386.deb
 cc73517baba1fbec03c40e08911aa783 3811840 devel optional libopenmpi-dbg_1.2.3-0_i386.deb
 e91d01a8536a5000c7d276794f7774e8 15728 net optional openmpi-common_1.2.3-0_all.deb
 4bab5af640fa5fc650f96cb8876c1d8f 418194 net optional openmpi-doc_1.2.3-0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGfc4kCZSR95Gw07cRAvbLAJ95yQ+wXsCcoIdBle+BrbEeXZATBACfdeWH
Q7Fx6rAmTGvfygrV2e64Z4Y=
=aeTP
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 24 Oct 2007 07:29:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:39:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.